Package org.apache.sysds.runtime.instructions.spark

## Class ParameterizedBuiltinSPInstruction.RDDTransformDecodeExpandFunction

- java.lang.Object
- - org.apache.sysds.runtime.instructions.spark.ParameterizedBuiltinSPInstruction.RDDTransformDecodeExpandFunction

All Implemented Interfaces:
  `Serializable`, `org.apache.spark.api.java.function.PairFunction<scala.Tuple2<MatrixIndexes,​MatrixBlock>,​MatrixIndexes,​MatrixBlock>`

Enclosing class:
  ParameterizedBuiltinSPInstruction

    public static class ParameterizedBuiltinSPInstruction.RDDTransformDecodeExpandFunction
    extends Object
    implements org.apache.spark.api.java.function.PairFunction<scala.Tuple2<MatrixIndexes,​MatrixBlock>,​MatrixIndexes,​MatrixBlock>

See Also:
  Serialized Form

### Constructor Summary

Constructors
`RDDTransformDecodeExpandFunction​(int clen, int blen)`

### Method Summary

All Methods Instance Methods Concrete Methods
`scala.Tuple2<MatrixIndexes,​MatrixBlock>` `call​(scala.Tuple2<MatrixIndexes,​MatrixBlock> in)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RDDTransformDecodeExpandFunction

    public RDDTransformDecodeExpandFunction​(int clen,
                                            int blen)

### Method Detail

#### call

    public scala.Tuple2<MatrixIndexes,​MatrixBlock> call​(scala.Tuple2<MatrixIndexes,​MatrixBlock> in)
                                                       throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.PairFunction<scala.Tuple2<MatrixIndexes,​MatrixBlock>,​MatrixIndexes,​MatrixBlock>`
Throws:
  `Exception`